Bug 128999 - [vuxml] [patch] update audio/streamripper to 1.64.0, fix CVE-2008-4829
Summary: [vuxml] [patch] update audio/streamripper to 1.64.0, fix CVE-2008-4829
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-19 21:30 UTC by Eygene Ryabinkin
Modified: 2008-11-23 09:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2008-11-19 21:30:14 UTC
Streamripper 1.64.0 is out and this release fixes security vulnerability
discovered by Secunia.

Fix: The following patch updates the port to 1.64.0.  It works for me: MP3
streams are ripped perfectly.


The following VuXML entry should be evaluated and added:
  <vuln vid="unknown">
    <topic>streamripper -- user-assisted arbitrary code execution</topic>
    <affects>
      <package>
	<name>streamripper</name>
	<range><lt>1.64.0</lt></range>
      </package>
    </affects>
    <description>
      <body xmlns="http://www.w3.org/1999/xhtml">
	<p>Secunia Research has discovered some vulnerabilities in
	Streamripper, which can be exploited by malicious people to
	compromise a user's system:</p>
	<blockquote cite="http://secunia.com/secunia_research/2008-50/">
	  <ol>
	    <li>A boundary error exists within http_parse_sc_header() in
	    lib/http.c when parsing an overly long HTTP header starting
	    with &ldquo;Zwitterion v&rdquo;.</li>
	    <li>A boundary error exists within http_get_pls() in
	    lib/http.c when parsing a specially crafted pls playlist
	    containing an overly long entry.</li>
	    <li>A boundary error exists within http_get_m3u() in
	    lib/http.c when parsing a specially crafted m3u playlist
	    containing an overly long &ldquo;File&rdquo; entry.</li>
          </ol>
	  <p>Successful exploitation allows execution of arbitrary
	  code, but requires that a user is tricked into connecting
	  to a malicious server.</p>
	</blockquote>
      </body>
    </description>
    <references>
      <cvename>CVE-2008-4829</cvename>
      <url>http://secunia.com/secunia_research/2008-50/</url>
      <url>http://streamripper.cvs.sourceforge.net/viewvc/streamripper/sripper_1x/CHANGES?revision=1.196</url>
    </references>
    <dates>
      <discovery>2008-11-19</discovery>
    </dates>
  </vuln>
--- vuln.xml ends here -----z4QCgt6x7T380RQ5Oces9CahMkEUtOjMy6YkLeD9HxEgcPgy
Content-Type: text/plain; name="1.63.5-to-1.64.0-fix-cve-2008-4829.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="1.63.5-to-1.64.0-fix-cve-2008-4829.diff"

diff -urN ./Makefile ../streamripper/Makefile
--- ./Makefile	2008-11-19 23:50:33.000000000 +0300
+++ ../streamripper/Makefile	2008-11-19 23:57:00.000000000 +0300
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	streamripper
-PORTVERSION=	1.63.5
+PORTVERSION=	1.64.0
 CATEGORIES=	audio
 MASTER_SITES=	SF \
 		http://gd.tuwien.ac.at/hci/cdk/:cdk
diff -urN ./distinfo ../streamripper/distinfo
--- ./distinfo	2008-11-19 23:50:33.000000000 +0300
+++ ../streamripper/distinfo	2008-11-19 23:57:19.000000000 +0300
@@ -1,6 +1,6 @@
-MD5 (streamripper-1.63.5.tar.gz) = 73a63383dca00615c3328cf51bf2fa56
-SHA256 (streamripper-1.63.5.tar.gz) = 877aed28880b904383c4e761c0ecb1e046dbe45126e648110c0292991d1e5b93
-SIZE (streamripper-1.63.5.tar.gz) = 1302177
+MD5 (streamripper-1.64.0.tar.gz) = f8754813ddc2bc96c4c3440e25aca8b6
+SHA256 (streamripper-1.64.0.tar.gz) = a53f50d26de3610e59a07eaf81cc9da348aaf7b35bc4a302f2e5f6defb1297ae
+SIZE (streamripper-1.64.0.tar.gz) = 839535
 MD5 (cdk-5.0-20060507.tgz) = 0ec2460a4484d5f5595d8faca61bc9c5
 SHA256 (cdk-5.0-20060507.tgz) = e823bfcce52916727cb23d6d549a64347c45c364b3c628d6a352c407fce8f4b4
 SIZE (cdk-5.0-20060507.tgz) = 396514
How-To-Repeat: 
http://streamripper.cvs.sourceforge.net/viewvc/streamripper/sripper_1x/CHANGES?revision=1.196
http://secunia.com/secunia_research/2008-50/
Comment 1 Martin Wilke freebsd_committer 2008-11-20 05:31:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2008-11-23 08:39:10 UTC
miwi        2008-11-23 08:38:54 UTC

  FreeBSD ports repository

  Modified files:
    security/vuxml       vuln.xml 
  Log:
  - Document streamripper -- multiple buffer overflows
  
  PR:             based on 128999
  
  Revision  Changes    Path
  1.1762    +35 -1     ports/security/vuxml/vuln.xml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2008-11-23 08:55:44 UTC
miwi        2008-11-23 08:55:30 UTC

  FreeBSD ports repository

  Modified files:
    audio/streamripper   Makefile distinfo 
  Log:
  - Update to 1.64.0
  
  PR:             128999
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  Security:       http://www.vuxml.org/freebsd/4d4caee0-b939-11dd-a578-0030843d3802.html
  
  Revision  Changes    Path
  1.34      +1 -1      ports/audio/streamripper/Makefile
  1.16      +3 -3      ports/audio/streamripper/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2008-11-23 08:55:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!